package com.rjconsultores.ventaboletos.vo.pricing;

import java.io.Serializable;

import com.rjconsultores.ventaboletos.utilerias.DateUtil;

public class PricingDia implements Serializable {

	private static final long serialVersionUID = 1L;

	private Integer segunda;
	private Integer terca;
	private Integer quarta;
	private Integer quinta;
	private Integer sexta;
	private Integer sabado;
	private Integer domingo;
	private String horarioinicio;
	private String horariofim;
	private Integer dataviagem;
	
	public PricingDia() {
		super();
	}

	public PricingDia(com.rjconsultores.ventaboletos.entidad.PricingDia pricingDia) {
		this();
		
		segunda = pricingDia.getIndlunes() ? 1 : 0;
		terca = pricingDia.getIndmartes() ? 1 : 0;
		quarta = pricingDia.getIndmiercoles() ? 1 : 0;
		quinta = pricingDia.getIndjueves() ? 1 : 0;
		sexta = pricingDia.getIndviernes() ? 1 : 0;
		sabado = pricingDia.getIndsabado() ? 1 : 0;
		domingo = pricingDia.getInddomingo() ? 1 : 0;
		horarioinicio = pricingDia.getHorarioinicio() != null ? DateUtil.getStringDate(pricingDia.getHorarioinicio(), "HH:mm") : null;
		horariofim = pricingDia.getHorariofin() != null ? DateUtil.getStringDate(pricingDia.getHorariofin(), "HH:mm") : null;
		dataviagem = pricingDia.getIndfecventa() ? 1 : 0;
	}

	public Integer getSegunda() {
		return segunda;
	}

	public void setSegunda(Integer segunda) {
		this.segunda = segunda;
	}

	public Integer getTerca() {
		return terca;
	}

	public void setTerca(Integer terca) {
		this.terca = terca;
	}

	public Integer getQuarta() {
		return quarta;
	}

	public void setQuarta(Integer quarta) {
		this.quarta = quarta;
	}

	public Integer getQuinta() {
		return quinta;
	}

	public void setQuinta(Integer quinta) {
		this.quinta = quinta;
	}

	public Integer getSexta() {
		return sexta;
	}

	public void setSexta(Integer sexta) {
		this.sexta = sexta;
	}

	public Integer getSabado() {
		return sabado;
	}

	public void setSabado(Integer sabado) {
		this.sabado = sabado;
	}

	public Integer getDomingo() {
		return domingo;
	}

	public void setDomingo(Integer domingo) {
		this.domingo = domingo;
	}

	public String getHorarioinicio() {
		return horarioinicio;
	}

	public void setHorarioinicio(String horarioinicio) {
		this.horarioinicio = horarioinicio;
	}

	public String getHorariofim() {
		return horariofim;
	}

	public void setHorariofim(String horariofim) {
		this.horariofim = horariofim;
	}

	public Integer getDataviagem() {
		return dataviagem;
	}

	public void setDataviagem(Integer dataviagem) {
		this.dataviagem = dataviagem;
	}

}
